#include <stdio.h>

main(argc, argv)
int argc;
char *argv[];
{
	int c, col = 0;

	while((c = getchar()) != EOF) {
		putchar('0' + ((c >> 4) & 15));
		putchar('0' + (c & 15));
		if (++col == 32) {
			putchar('\n');
			col = 0;
		}
	}
	if (col)
		putchar('\n');
}
